Create content profile
curl --request POST \
--url 'https://api.conductor.com/v4/accounts/{accountId}/content-profiles?apiKey=&sig=' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Brand Voice",
"description": "Default brand voice profile",
"voiceTone": "Confident and friendly",
"audience": "Marketing managers",
"languageRules": [
{
"term": "utilize",
"type": "EXCLUDE"
}
]
}
'import requests
url = "https://api.conductor.com/v4/accounts/{accountId}/content-profiles?apiKey=&sig="
payload = {
"name": "Brand Voice",
"description": "Default brand voice profile",
"voiceTone": "Confident and friendly",
"audience": "Marketing managers",
"languageRules": [
{
"term": "utilize",
"type": "EXCLUDE"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Brand Voice',
description: 'Default brand voice profile',
voiceTone: 'Confident and friendly',
audience: 'Marketing managers',
languageRules: [{term: 'utilize', type: 'EXCLUDE'}]
})
};
fetch('https://api.conductor.com/v4/accounts/{accountId}/content-profiles?apiKey=&sig=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountId": 123,
"name": "<string>",
"description": "<string>",
"voiceTone": "<string>",
"audience": "<string>",
"createdBy": 123,
"created": "2023-11-07T05:31:56Z",
"updatedBy": 123,
"updated": "2023-11-07T05:31:56Z",
"draftCount": 123,
"languageRules": [
{
"term": "<string>",
"type": "EXCLUDE",
"extraTerm": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}Content Profiles
Create content profile
Creates a content profile for the account.
POST
/
v4
/
accounts
/
{accountId}
/
content-profiles
Create content profile
Authorizations
API Key as a query parameter
Request signature computed using API key and secret. Valid for 5 minutes after creation.
Path Parameters
Account identifier
Body
application/json
Response
Created content profile
Freeform voice-and-tone guidance applied to generation.
Freeform target-audience description.
User ID of the creator.
Show child attributes
Show child attributes
⌘I
